libstdc++: __gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware > Class Template Reference

libstdc++

__gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware > Class Template Reference

`#include <safe_container.h>`

Inheritance diagram for __gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware >:
[legend]

## Protected Member Functions
| _Safe_container (_Safe_container &&)=default
constexpr | _Safe_container (_Safe_container &&__x, const _Alloc &__a)
| _Safe_container (const _Safe_container &)=default
constexpr void | _M_swap (const _Safe_container &__x) const noexcept
constexpr _Safe_container & | operator= (_Safe_container &&__x) noexcept
constexpr _Safe_container & | operator= (const _Safe_container &) noexcept=default

## Detailed Description

template<typename _SafeContainer, typename _Alloc, template< typename > class _SafeBase, bool _IsCxx11AllocatorAware = true>
class __gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware >

Safe class dealing with some allocator dependent operations.

Definition at line 41 of file safe_container.h.

## Constructor & Destructor Documentation

## ◆ _Safe_container()

template<typename _SafeContainer, typename _Alloc, template< typename > class _SafeBase, bool _IsCxx11AllocatorAware = true>

__gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware >::_Safe_container | ( | _Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware > && | __x,
|  | const _Alloc & | __a )
| inlineconstexprprotected

Definition at line 83 of file safe_container.h.

## Member Function Documentation

## ◆ _M_swap()

template<typename _SafeContainer, typename _Alloc, template< typename > class _SafeBase, bool _IsCxx11AllocatorAware = true>

void __gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware >::_M_swap | ( | const _Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware > & | __x | ) | const
| inlineconstexprprotectednoexcept

Definition at line 141 of file safe_container.h.

## ◆ operator=()

template<typename _SafeContainer, typename _Alloc, template< typename > class _SafeBase, bool _IsCxx11AllocatorAware = true>

_Safe_container & __gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware >::operator= | ( | _Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware > && | __x | ) |
| inlineconstexprprotectednoexcept

Definition at line 107 of file safe_container.h.

The documentation for this class was generated from the following file:

- safe_container.h